summaryrefslogtreecommitdiff
path: root/tests/misc/close-stdout
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/close-stdout')
-rwxr-xr-xtests/misc/close-stdout12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/misc/close-stdout b/tests/misc/close-stdout
index 01edf32c4..dd8bbc5e1 100755
--- a/tests/misc/close-stdout
+++ b/tests/misc/close-stdout
@@ -56,21 +56,21 @@ mv d e >&- || fail=1
rmdir e >&- || fail=1
touch e >&- || fail=1
sleep 0 >&- || fail=1
-"$pwd"/../../src/true >&- || fail=1
-"$pwd"/../../src/printf '' >&- || fail=1
+"$pwd/../../src/true" >&- || fail=1
+"$pwd/../../src/printf" '' >&- || fail=1
# If >&- works, ensure these fail, because stdout is closed and they
# *do* generate output. >&- apparently does not work in HP-UX 11.23.
# This test is ineffective unless /dev/stdout also works.
-if "$pwd"/../../src/test -w /dev/stdout >/dev/null &&
- "$pwd"/../../src/test ! -w /dev/stdout >&-; then
- "$pwd"/../../src/printf 'foo' >&- 2>/dev/null && fail=1
+if "$pwd/../../src/test" -w /dev/stdout >/dev/null &&
+ "$pwd/../../src/test" ! -w /dev/stdout >&-; then
+ "$pwd/../../src/printf" 'foo' >&- 2>/dev/null && fail=1
cp --verbose a b >&- 2>/dev/null && fail=1
fi
# Likewise for /dev/full, if /dev/full works.
if test -w /dev/full && test -c /dev/full; then
- "$pwd"/../../src/printf 'foo' >/dev/full 2>/dev/null && fail=1
+ "$pwd/../../src/printf" 'foo' >/dev/full 2>/dev/null && fail=1
cp --verbose a b >/dev/full 2>/dev/null && fail=1
fi